.\" SCCS 03/03/98 @(#)meanvar.rpart.d	1.7
.BG
.FN meanvar.rpart
.TL
Mean-Variance Plot for an Rpart Object
.DN
Creates a plot on the current graphics device of the deviance of the
node divided by the number of observations at the node.  Also returns
the node number.
.CS
meanvar.rpart(tree, xlab="ave(y)", ylab="ave(deviance)", ...)
.RA
.AG tree
fitted model object of class `rpart'.  This is asumed to be the result
of some function that produces an object with the same named
components as that returned by the `rpart' function.
.OA
.AG xlab
x-axis label for the plot.
.AG ylab
y-axis label for the plot.
.AG ...
additional graphical parameters may be supplied as arguments to this function.
.RT
an invisible list containing the following vectors is returned.
.AG x
fitted value at terminal nodes (`yval').
.AG y
deviance of node divided by number of observations at node.
.AG label
node number.

.SE
a plot is put on the current graphics device.
.SH REFERENCES
This page was shamelessly modified from `meanvar.tree'.
.SA
`meanvar.tree', `plot.rpart'.
.EX
> z.auto <- rpart(Mileage ~ Weight, car.test.frame)
> meanvar.rpart(z.auto, log='xy')

.KW rpart
.WR




