.\" SCCS 03/03/98 @(#)snip.rpart.d	1.6
.BG
.FN snip.rpart
.TL
Snip Subtrees of an Rpart Object
.DN
Creates a "snipped" rpart object, containing the nodes that remain
after selected subtrees have been snipped off.  The user can snip
nodes using the toss arguement, or interactively by clicking the mouse
button on specified nodes within the graphics window.
.CS
snip.rpart(x, toss)
.RA
.AG x
fitted model object of class `rpart'.  This is assumed to be the result
of some function that produces an object with the same named
components as that returned by the `rpart' function.
.OA
.AG toss
an integer vector containing indices (node numbers) of all subtrees to
be snipped off.  If missing, user selects branches to snip off as
described below.
.RT
a `rpart' object containing the nodes that remain after specified or
selected subtrees have been snipped off.  
.DT
A dendrogram of `tree' is expected to be visible on the graphics device,
and a graphics input device (e.g., a mouse) is required.  Clicking
(the selection button) on a node displays the node number, sample
size, response yvalue, and Error (dev). Clicking a second time on the
same node snips that subtree off and visually erases the subtree.
This process may be repeated an number of times.  Warnings result from
selecting the root or leaf nodes.  Clicking the exit button will stop
the snipping process and return the resulting `rpart' object.

See the documentation for the specific graphics device for details on
graphical input techniques.
.SA
`plot.rpart'
.EX
motif() #open a graphics device
z.survey <- rpart(market.survey) #grow the rpart object
plot(z.survey) #plot the tree
z.survey2 <- snip.rpart(z.survey,toss=2) #trim subtree at node 2
plot(z.survey2) #plot new tree

# can also interactively selet the node using the mouse in the
# graphics window

.KW rpart, plot.rpart
.WR

