# SCCS @(#)labels.rpart.s	1.2 01/21/97
# Differs from labels.tree only in the processing of xlevels
#
labels.rpart <- function(object, pretty = T, collapse = T)
{
    if(!inherits(object, "rpart"))
	stop("Not legitimate rpart object")
    frame <- object$frame
    xlevels <- attr(object, "xlevels")
    var <- frame$var
    splits <- frame$splits
    if(!is.null(pretty)) {
        if(pretty) xlevels <- lapply(xlevels, abbreviate, pretty)
	tindx <- as.numeric(names(xlevels))
        var2 <- as.numeric(var) -1
	temp <- rep(0, max(var2, tindx))
	temp[tindx] <- sapply(xlevels,length)
	pn <- .C("prlab",
		lab = character(2 * length(var)),
		as.character(splits[, 1]),
		as.character(splits[, 2]),
		as.character(unlist(xlevels)),
		as.integer(var2),             #with 0 denoting a leaf
		as.integer(temp),
		as.integer(length(var2)))
	splits <- matrix(pn$lab, ncol = 2)
	}
    var <- as.character(var)
    if(!collapse)
	return(array(paste(var, splits, sep = ""), dim(splits)))
    node <- as.numeric(row.names(frame))
    parent <- match((node %/% 2), node)
    odd <- as.logical(node %% 2)
    node[odd] <- paste(var[parent[odd]], splits[parent[odd], 2], sep = "")
    node[!odd] <- paste(var[parent[!odd]], splits[parent[!odd], 1], sep = 
		"")
    node[1] <- "root"
    node
}
